%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate gix-tempfile

Name:           rust-gix-tempfile
Version:        13.1.1
Release:    1%{?dist}
Summary:        Tempfile implementation with a global registry to assure cleanup

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/gix-tempfile
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A tempfile implementation with a global registry to assure cleanup.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+document-features-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+document-features-devel %{_description}

This package contains library source intended for building other packages which
use the "document-features" feature of the "%{crate}" crate.

%files       -n %{name}+document-features-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hp-hashmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hp-hashmap-devel %{_description}

This package contains library source intended for building other packages which
use the "hp-hashmap" feature of the "%{crate}" crate.

%files       -n %{name}+hp-hashmap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+signals-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+signals-devel %{_description}

This package contains library source intended for building other packages which
use the "signals" feature of the "%{crate}" crate.

%files       -n %{name}+signals-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.1.1-1
- initial build
